magicor_1.1-4_all.deb


Advertisement

Description

magicor - puzzle game in the spirit of solomon's key

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name magicor
Package version 1.1
Package release 4
Package architecture all
Package type deb
Installed size 504 B
Download size 59.24 KB
Official Mirror ftp.br.debian.org
Magicor is a small puzzle game similar to the old NES classic
solomon's key. You control tux the penguin and create ice blocks
to extinguish all fires on each map.

Alternatives

Package Version Architecture Repository
magicor_1.1-4_all.deb 1.1 all Debian Main
magicor - - -

Requires

Name Value
libglade2-0 -
libsdl-image1.2 -
libsdl-mixer1.2 -
magicor-data = 1.1-4
python >= 2.6.6-7~
python << 2.8
python-gtk2 -
python-pygame -
python2.6 -
python2.7 -

Download

Type URL
Binary Package magicor_1.1-4_all.deb
Source Package magicor

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install magicor deb package:
    # sudo apt-get install magicor

Files

Path
/etc/magicor-editor.conf
/etc/magicor.conf
/usr/games/magicor
/usr/games/magicor-editor
/usr/lib/python2.6/dist-packages/magicor/__init__.py
/usr/lib/python2.6/dist-packages/magicor/level.py
/usr/lib/python2.6/dist-packages/magicor/resources.py
/usr/lib/python2.6/dist-packages/magicor/editor/__init__.py
/usr/lib/python2.6/dist-packages/magicor/editor/brushes.py
/usr/lib/python2.6/dist-packages/magicor/editor/gtkgui.py
/usr/lib/python2.6/dist-packages/magicor/sprites/__init__.py
/usr/lib/python2.6/dist-packages/magicor/sprites/blocks.py
/usr/lib/python2.6/dist-packages/magicor/sprites/decorations.py
/usr/lib/python2.6/dist-packages/magicor/sprites/enemies.py
/usr/lib/python2.6/dist-packages/magicor/sprites/fires.py
/usr/lib/python2.6/dist-packages/magicor/sprites/lights.py
/usr/lib/python2.6/dist-packages/magicor/sprites/misc.py
/usr/lib/python2.6/dist-packages/magicor/sprites/player.py
/usr/lib/python2.6/dist-packages/magicor/sprites/seekers.py
/usr/lib/python2.6/dist-packages/magicor/sprites/stones.py
/usr/lib/python2.6/dist-packages/magicor/sprites/world.py
/usr/lib/python2.6/dist-packages/magicor/states/__init__.py
/usr/lib/python2.6/dist-packages/magicor/states/intro.py
/usr/lib/python2.6/dist-packages/magicor/states/options.py
/usr/lib/python2.6/dist-packages/magicor/states/play.py
/usr/lib/python2.6/dist-packages/magicor/states/title.py
/usr/lib/python2.7/dist-packages/magicor/__init__.py
/usr/lib/python2.7/dist-packages/magicor/level.py
/usr/lib/python2.7/dist-packages/magicor/resources.py
/usr/lib/python2.7/dist-packages/magicor/editor/__init__.py
/usr/lib/python2.7/dist-packages/magicor/editor/brushes.py
/usr/lib/python2.7/dist-packages/magicor/editor/gtkgui.py
/usr/lib/python2.7/dist-packages/magicor/sprites/__init__.py
/usr/lib/python2.7/dist-packages/magicor/sprites/blocks.py
/usr/lib/python2.7/dist-packages/magicor/sprites/decorations.py
/usr/lib/python2.7/dist-packages/magicor/sprites/enemies.py
/usr/lib/python2.7/dist-packages/magicor/sprites/fires.py
/usr/lib/python2.7/dist-packages/magicor/sprites/lights.py
/usr/lib/python2.7/dist-packages/magicor/sprites/misc.py
/usr/lib/python2.7/dist-packages/magicor/sprites/player.py
/usr/lib/python2.7/dist-packages/magicor/sprites/seekers.py
/usr/lib/python2.7/dist-packages/magicor/sprites/stones.py
/usr/lib/python2.7/dist-packages/magicor/sprites/world.py
/usr/lib/python2.7/dist-packages/magicor/states/__init__.py
/usr/lib/python2.7/dist-packages/magicor/states/intro.py
/usr/lib/python2.7/dist-packages/magicor/states/options.py
/usr/lib/python2.7/dist-packages/magicor/states/play.py
/usr/lib/python2.7/dist-packages/magicor/states/title.py
/usr/share/applications/magicor.desktop
/usr/share/doc/magicor/README
/usr/share/doc/magicor/changelog.Debian.gz
/usr/share/doc/magicor/copyright
/usr/share/man/man6/magicor-editor.6.gz
/usr/share/man/man6/magicor.6.gz
/usr/share/menu/magicor
/usr/share/pixmaps/magicor.png
/usr/share/pyshared/magicor/__init__.py
/usr/share/pyshared/magicor/level.py
/usr/share/pyshared/magicor/resources.py
/usr/share/pyshared/magicor/editor/__init__.py
/usr/share/pyshared/magicor/editor/brushes.py
/usr/share/pyshared/magicor/editor/gtkgui.py
/usr/share/pyshared/magicor/sprites/__init__.py
/usr/share/pyshared/magicor/sprites/blocks.py
/usr/share/pyshared/magicor/sprites/decorations.py
/usr/share/pyshared/magicor/sprites/enemies.py
/usr/share/pyshared/magicor/sprites/fires.py
/usr/share/pyshared/magicor/sprites/lights.py
/usr/share/pyshared/magicor/sprites/misc.py
/usr/share/pyshared/magicor/sprites/player.py
/usr/share/pyshared/magicor/sprites/seekers.py
/usr/share/pyshared/magicor/sprites/stones.py
/usr/share/pyshared/magicor/sprites/world.py
/usr/share/pyshared/magicor/states/__init__.py
/usr/share/pyshared/magicor/states/intro.py
/usr/share/pyshared/magicor/states/options.py
/usr/share/pyshared/magicor/states/play.py
/usr/share/pyshared/magicor/states/title.py

Changelog

2011-07-09 - Vincent Cheng <Vincentc1208@gmail.com>
magicor (1.1-4) unstable; urgency=low
* Adopt package; change maintainer field in debian/control to:
Debian Games Team <pkg-games-devel@lists.alioth.debian.org>.
(Closes: #632988)
* Add myself to uploaders.
* Update debian/copyright to conform to DEP-5.
* Move manpage section to 6.
* Add Vcs-* entries in debian/control.
* Update Standards version from 3.8.4 to 3.9.2, no changes required.
* Update debhelper compatiblity level from 7 to 8.
* Transition to dh_python2; drop python-support from build-depends.
* Add debian/magicor.desktop. (LP: #721536)
* Add Magicor icon; install to /usr/share/pixmaps.
2010-03-17 - Xavier Oswald <xoswald@debian.org>
magicor (1.1-3) unstable; urgency=low
[ Luca Falavigna ]
* Allow byte-compilation of Python files (Closes: #566045):
- Build-depend on python-support.
- Invoke dh_pysupport in rules.
* Depend on ${python:Depends} instead of a specific Python version.
* Do not create usr/lib/python2.5/site-packages/magicor, let the build
process to install files into the correct location.
[ Xavier Oswald ]
* Fix magicor requiring versioned dependency (Closes: #536208)
* Avoid debian/watch file to catch development versions
2010-03-02 - Xavier Oswald <xoswald@debian.org>
magicor (1.1-2) unstable; urgency=low
* Bump Standards-Version to 3.8.4
* Fix FTBFS with Python 2.6 (Closes: #571496)
* Add debian/watch file
* Switch to dpkg-source 3.0 (quilt) format
2009-04-24 - Xavier Oswald <xoswald@debian.org>
magicor (1.1-1) unstable; urgency=low
* New upstream release
* debian/control:
+ change my mail address
+ Bump Standards-Version to 3.8.1
+ Remove DM flag
+ Update debhelper to 7
+ Update python to 2.5
+ move python from Build-Depends to Build-Depends-Indep
* Update debian/Compat to 7
* Update python version in debian/magicor.install
* Update python version in debian/magicor.dirs
* Fix for victory animation problem (closes: #412391)
* Fix for penguin artifact in ice block problem (closes: #412486)
* Time statistics for completed levels (closes: #413317)
* Fix lintian warnings:
W: magicor: description-contains-homepage
I: magicor source: build-depends-without-arch-dep python
2007-01-17 - Xavier Oswald <x.oswald@free.fr>
magicor (1.0-1) unstable; urgency=low
* Initial release (closes: #407346)

See Also

Package Description
magicrescue_1.1.8-1_amd64.deb recovers files by looking for magic bytes
magics++_2.22.7.dfsg.1-4_amd64.deb Executables for the magics++ library
magit_1.2.1-1_all.deb Emacs interface for Git
mah-jong_1.11-2_amd64.deb Original Mah-Jong game
mahjongg_3.14.1-1_all.deb classic Eastern tile game for GNOME (transitional package)
mail-expire_0.7_all.deb Utility to extract outdated messages from mbox files
mail-notification-evolution_5.4.dfsg.1-13_amd64.deb evolution support for mail notification
mail-notification_5.4.dfsg.1-13_amd64.deb mail notification in system tray
mailagent_3.1-78-1_amd64.deb automatic mail-processing tool and filter
mailavenger_0.8.4-3_amd64.deb Highly configurable, MTA-independent SMTP filter server
mailcheck_1.91.2-2_amd64.deb Check multiple mailboxes/maildirs for mail
mailcrypt_3.5.9-7_all.deb Emacs interface to GPG and PGP
maildir-filter_1.20-3_amd64.deb Simple program to filter messages into Maildir folders from dot-qmail
maildir-utils-extra_0.9.9.6-5_amd64.deb Extra utilities for maildir-utils
maildir-utils_0.9.9.6-5_amd64.deb Set of utilities to deal with Maildirs (upstream name mu)
Advertisement
Advertisement